@import 'scss/utils/vars';

.burger {
  &__icon {
    font-size: 2rem;
    color: $colorBrandMain;
    cursor: pointer;
  }

  &__content {
    padding: 0;
    margin: 0;
    right: 0;
    list-style: none;
    background: $colorBackground;
    box-shadow: 0 5px 10px 0 $dark-shade-25;
    width: fit-content;
    position: absolute;
    display: none;
    transition: all .4s;
    display: block;

    &Wrapper {
      position: relative;
      max-width: 450px;
    }

    &Buttons {
      display: none;
      min-height: 98px;
      padding: 5px;
      gap: 10px;

      @media (max-width: $widthTablet) {
        display: flex;
        flex-wrap: wrap;
      }
    }
  }
}
